Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl
Interface Part

All Superinterfaces:
  ExtensibleElement, javax.wsdl.Part, java.io.Serializable, WSDLElement

    public interface Part

extends ExtensibleElement, javax.wsdl.Part

A representation of the model object 'Part'.

Since:
  1.0
See Also:
  `WSDLPackage.getPart()`

Method Summary
`org.eclipse.xsd.XSDElementDeclaration` | `getElementDeclaration()` Returns the value of the 'Element Declaration' reference
`javax.xml.namespace.QName` | `getElementName()` Returns the value of the 'Element Name' attribute
`Message` | `getEMessage()` Returns the value of the 'EMessage' reference
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute
`org.eclipse.xsd.XSDTypeDefinition` | `getTypeDefinition()` Returns the value of the 'Type Definition' reference
`javax.xml.namespace.QName` | `getTypeName()` Returns the value of the 'Type Name' attribute
`void` | `setElementDeclaration(org.eclipse.xsd.XSDElementDeclaration value)` Sets the value of the '`Element Declaration`' reference
`void` | `setElementName(javax.xml.namespace.QName value)` Sets the value of the '`Element Name`' attribute
`void` | `setEMessage(Message value)` Sets the value of the '`EMessage`' reference
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` | `setTypeDefinition(org.eclipse.xsd.XSDTypeDefinition value)` Sets the value of the '`Type Definition`' reference
`void` | `setTypeName(javax.xml.namespace.QName value)` Sets the value of the '`Type Name`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibleElement
`addExtensibilityElement, getEExtensibilityElements, getExtensibilityElements`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.Part
`getDocumentationElement, getExtensionAttribute, getExtensionAttributes, setDocumentationElement, setExtensionAttribute`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getName` in interface `javax.wsdl.Part`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `WSDLPackage.getPart_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Specified by:
    `setName` in interface `javax.wsdl.Part`
  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getElementName

    javax.xml.namespace.QName getElementName()

  Returns the value of the 'Element Name' attribute.

  If the meaning of the 'Element Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getElementName` in interface `javax.wsdl.Part`
  Returns:
    the value of the 'Element Name' attribute.
  See Also:
    `setElementName(QName)`, `WSDLPackage.getPart_ElementName()`

### setElementName

    void setElementName(javax.xml.namespace.QName value)

  Sets the value of the '`Element Name`' attribute.

  Specified by:
    `setElementName` in interface `javax.wsdl.Part`
  Parameters:
    `value` - the new value of the 'Element Name' attribute.
  See Also:
    `getElementName()`

### getTypeName

    javax.xml.namespace.QName getTypeName()

  Returns the value of the 'Type Name' attribute.

  If the meaning of the 'Type Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getTypeName` in interface `javax.wsdl.Part`
  Returns:
    the value of the 'Type Name' attribute.
  See Also:
    `setTypeName(QName)`, `WSDLPackage.getPart_TypeName()`

### setTypeName

    void setTypeName(javax.xml.namespace.QName value)

  Sets the value of the '`Type Name`' attribute.

  Specified by:
    `setTypeName` in interface `javax.wsdl.Part`
  Parameters:
    `value` - the new value of the 'Type Name' attribute.
  See Also:
    `getTypeName()`

### getTypeDefinition

    org.eclipse.xsd.XSDTypeDefinition getTypeDefinition()

  Returns the value of the 'Type Definition' reference.

  If the meaning of the 'Type Definition' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Definition' reference.
  See Also:
    `setTypeDefinition(XSDTypeDefinition)`, `WSDLPackage.getPart_TypeDefinition()`

### setTypeDefinition

    void setTypeDefinition(org.eclipse.xsd.XSDTypeDefinition value)

  Sets the value of the '`Type Definition`' reference.

  Parameters:
    `value` - the new value of the 'Type Definition' reference.
  See Also:
    `getTypeDefinition()`

### getElementDeclaration

    org.eclipse.xsd.XSDElementDeclaration getElementDeclaration()

  Returns the value of the 'Element Declaration' reference.

  If the meaning of the 'Element Declaration' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element Declaration' reference.
  See Also:
    `setElementDeclaration(XSDElementDeclaration)`, `WSDLPackage.getPart_ElementDeclaration()`

### setElementDeclaration

    void setElementDeclaration(org.eclipse.xsd.XSDElementDeclaration value)

  Sets the value of the '`Element Declaration`' reference.

  Parameters:
    `value` - the new value of the 'Element Declaration' reference.
  See Also:
    `getElementDeclaration()`

### getEMessage

    Message getEMessage()

  Returns the value of the 'EMessage' reference.

  If the meaning of the 'EMessage' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EMessage' reference.
  See Also:
    `setEMessage(Message)`, `WSDLPackage.getPart_EMessage()`

### setEMessage

    void setEMessage(Message value)

  Sets the value of the '`EMessage`' reference.

  Parameters:
    `value` - the new value of the 'EMessage' reference.
  See Also:
    `getEMessage()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD